<div class="mt-4 pl-5 pr-5 container-fluid">
  <div class="row" [ngClass]="loadingBgColor" *blockUI="blockUIName; template: elementBlockTemplate">
    <!-- left side -->
    <div class="col-md-9 mx-auto homeres">
      <div class="col-md-12">
        <div class="row align-items-center">
          <div class="col-md-3">
            <div class="mb-3 bg-transparent border-0 border-radius-10 row">
              <div class="p-0">
                <div class="head-only">
                  
                  <span class="d-inline-block pr-2" >Welcome</span>
                  <span class="d-inline-block">{{userName}}!</span>
                  <app-hint [id]="'update-name'"></app-hint>
                </div>
                <div class="f-14 gray text-muted" style="color: #888 !important; letter-spacing: .4px;">Here's an
                  overview of your Sales</div>
              </div>
            </div>
          </div>
          <!-- Changed col 6 in each to 4 and 8 to bring date picker for 1.3 -->
          <div class="col-md-9 pr-0 row justify-content-end align-items-center">
            <app-hint [id]="'date-picker'" *ngIf="!show_insights"></app-hint>
            <div class="d-flex justify-content-end align-items-center pr-2 date_picker_ipad"  *ngIf="!show_insights" style="height: 89.39px;">
              <div class="py-1 px-2 mx-1 group-label datePick1" >
                <label class="mb-0 label-style pl-0 text-left">From Date </label>
                <div class="input-group ngx-data-ui"  [ngClass]="date_filters.length>0? 'hm-calendar' : 'hm-calendar-out'">
                  <input class="form-control p-0 bg-transparent text_default input-box-style border-0" ngx-mydatepicker
                    name="dpfromdate" #dpfromdate="ngx-mydatepicker" [options]="{dateFormat: 'mm-dd-yyyy', selectorHeight:'272px', selectorWidth:'272px',
                         alignSelectorRight:true, disableSince: etl_date}"
                    (calendarToggle)="selected_filter.fromdate=!selected_filter.fromdate" [(ngModel)]="fromdate"
                    (click)="dpfromdate.toggleCalendar()" (dateChanged)="formDateChanged($event, 'fromdate')"
                    placeholder="choose a date"
                    style="min-height:20px !important;max-height:20px !important;cursor: pointer">
                  <span style="cursor: pointer" (click)="dpfromdate.toggleCalendar()"><i
                      class="fa-lg las la-calendar pt-1"></i></span>
                  <ng-container *ngIf="selected_filter.fromdate && date_filters.length>0">
                    <div style="position: absolute;" class="home-calender">
                      <div class="cust_calendar_items left dashboard-fdate p-0" style="right: 366px; top: 32px;"
                        [perfectScrollbar]>
                        <div>
                          <app-hint [id]="'fiscal'"></app-hint>
                          <ngb-tabset class="nav-tabs-top" [activeId]="selected_filter.values"
                            (click)="$event.stopPropagation()"
                            [ngClass]="{'hide-tab-header': date_filters[1].range.length == 0}">
                            
                            <ngb-tab *ngFor="let datefilter of date_filters;" class="form-label label-material"
                              [title]="datefilter.display" id="{{datefilter.values}}">
                              <app-hint [id]="'cal'"></app-hint>
                              <ng-template ngbTabContent style="border: none !important;">
                                <div *ngFor="let option of datefilter.range; let i = index">
                                  <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                    (click)="applyDaysFilter(option, i);dpfromdate.closeCalendar();dptodate.closeCalendar();"
                                    [ngClass]="{'active': selected_filter.range == datefilter.values+i}">{{option.display}}</button>
                                </div>
                              </ng-template>
                            </ngb-tab>
                          </ngb-tabset>
                        </div>
                      </div>
                    </div>
                  </ng-container>
                </div>
              </div>
              <div class="py-1 px-2 mx-1 group-label datePick1">
                <label class="mb-0 label-style pl-0 text-left">To Date </label>
                <div class="input-group ngx-data-ui"  [ngClass]="date_filters.length>0? 'hm-calendar' : 'hm-calendar-out'">
                  <!-- disableUntil:fromdate.date, disableSince:disable_date.date}" -->
                  <input class="form-control p-0 bg-transparent text_default input-box-style border-0 "  ngx-mydatepicker
                    name="dptodate" #dptodate="ngx-mydatepicker"
                    [options]="{dateFormat: 'mm-dd-yyyy', selectorHeight:'272px', selectorWidth:'272px', alignSelectorRight:true, disableSince: etl_date}"
                    (calendarToggle)="selected_filter.todate=!selected_filter.todate" [(ngModel)]="todate"
                    (click)="dptodate.toggleCalendar()" (dateChanged)="formDateChanged($event, 'todate')"
                    placeholder="choose a date"
                    style="min-height:20px !important;max-height:20px !important;cursor: pointer">
                  <span style="cursor: pointer" (click)="dptodate.toggleCalendar()"><i
                      class="fa-lg las la-calendar pt-1"> </i></span>
                  <ng-container *ngIf="selected_filter.todate && date_filters.length>0">
                    <div style="position: absolute;" class="home-calender">
                      <div class="cust_calendar_items left dashboard-fdate p-0" style="right: 366px; top: 32px;"
                        [perfectScrollbar]>
                        <div>
                          <ngb-tabset class="nav-tabs-top" [activeId]="selected_filter.values"
                            (click)="$event.stopPropagation()"
                            [ngClass]="{'hide-tab-header': date_filters[1].range.length == 0}">
                            <ngb-tab *ngFor="let datefilter of date_filters;" class="form-label label-material"
                              [title]="datefilter.display" id="{{datefilter.values}}">
                              <ng-template ngbTabContent style="border: none !important;">
                                <div *ngFor="let option of datefilter.range; let i = index">
                                  <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                    (click)="applyDaysFilter(option, i);dpfromdate.closeCalendar();dptodate.closeCalendar();"
                                    [ngClass]="{'active': selected_filter.range == datefilter.values+i}">{{option.display}}</button>
                                </div>
                              </ng-template>
                            </ngb-tab>
                          </ngb-tabset>
                        </div>
                      </div>
                    </div>
                  </ng-container>
                </div>
              </div>

            </div>
            <app-hint [id]="'measure-tabs-0'"></app-hint>
            <ng-container *ngFor="let grand_data of grand_total_data;let i=index;">
              <div *ngIf="sub_total_data.length>0" (click)="getSubTotalData(grand_data)"
                class="py-1 px-4 col-auto top-data-tabs"
                [ngClass]="selected_grand_total.name == grand_data.name?'active':''" style="margin-top:-10px;">
                <div>
                  <div class="align-items-center">
                    <div class="f-18 fw-600 text-right WSF">{{grand_data.value}}</div>
                    <div class="text-sub small float-right f-14 WSF">{{grand_data.display_name}}</div>
                  </div>
                </div>
              </div>
            </ng-container>

          </div>
        </div>
      </div>
      <!-- first card -->
      <div class="col-md-12 pl-0">

        <div class="card mb-5 border-radius-10 bookmark-card-shadow">
          <div class="card-header with-elements pr-2" style="border-bottom: 0px solid transparent;">
            <div class="d-flex" style="max-width:100%;"
              [ngClass]="sub_total_data.length == 0?'col-md-12 p-0':'col-md-10 p-0'">
              <!-- class="search-link"  (click)="searchData()" -->
              <div class="card-header-title dashboard-tile-title">
                <span *ngIf="selected_grand_total.display_name">Daily {{selected_grand_total.display_name}}</span><span
                  *ngIf="selected_sub_total"> by Channel :
                  {{selected_sub_total?.name}}</span>
              </div>
              <div class="btn-group btn-group-xs btn-group-toggle ng-untouched ng-pristine ng-valid align-items-center"
              [ngClass]="sub_total_data.length == 0?'ml-auto pr-4 mr-2':'ml-auto'">
                <div>
                  <button class="btn px-1 pt-2 pb-1" ngbTooltip="Full Screen" placement="bottom"
                    (click)="fullScreen($event)">
                    <i class="las la-expand f-20 custom-mouseover"></i></button>
                  <!-- <button (click)="fullScreen($event)" placement="top" ngbTooltip="Full Screen" class="btn btn-sm btn-default icon-btn btn-round md-btn-flast hide-arrow  ">
                  <i class="fa fa-arrows-alt icon-tint font-icons"></i>
                </button> -->
                </div>
              </div>
            </div>
            
            <div class="btn-group btn-group-xs btn-group-toggle" [ngClass]="sub_total_data.length == 0?'full-chart':'half-chart'">
              <app-hint [id]="'set-as-default-page'"></app-hint>
              <button class="btn px-1 pt-2 pb-1 fas_bookmark" container="body" ngbTooltip="Save as default page" placement="bottom"
                (click)="saveAsDefaultPage()">
                <i [ngClass]="highlightDefaultPage()"></i></button>
            </div>
            <!-- <div *ngIf="sub_total_data.length==0" class="col-md-2"></div> -->
          </div>
          <div class="card-body px-2 pb-2 pt-0">
            <div class="d-flex ">
              <div class="p-0" [ngClass]="sub_total_data.length == 0?'col-md-12':'col-md-10'">
                <app-hint [id]="'fullscreen-reset'" *ngIf="is_fullscreen_view && leafletService.isZoomed"></app-hint>
                <app-hint [id]="'fullscreen-close'" *ngIf="is_fullscreen_view"></app-hint>
                <button class="map-reset " [ngClass]="is_fullscreen_view?'map-reset-fullscreen':'map-reset'"
                  (click)="leafletService.resetMapZoom()" title="Reset View" *ngIf="leafletService.isZoomed"><i
                    class="fas fa-redo-alt f-10"></i></button>
                <!-- <app-hint [id]="'home_map_chart'"></app-hint> -->
                <div id="home_map_chart" class="w-100 map_chart" style="height:440px;z-index: 111;"></div>
                <div style="height:300px;padding-top: 30px;" id="home_line_chart" class="hc_div"
                  [hidden]="sub_total_data.length==0"></div>

              </div>
              
              <app-hint [id]="'order-modes'" [hidden]="sub_total_data.length==0"></app-hint>
              <div [hidden]="sub_total_data.length==0" class="col-md-2" style="max-height:740px;overflow:auto;"
                [perfectScrollbar] (psYReachStart)="scroll_config.scroll_start=true;">
                <!-- (psYReachEnd)="scroll_config.scroll_start=true;" -->
                <!-- <div  class="card mb-3" style="border-right: 4px solid #44B2CB;background: rgba(163, 217, 229, 0.2);">
                     <div  class="card-body p-3" >
                       <div  class="align-items-center">
                             <div  class="f-16 fw-700">$138,224</div>
                           <div  class="f-14 gray text-muted">In Store</div>
                       
                       </div>
                     </div>
                   </div> -->
                
                <ng-container *ngFor="let sub_data of sub_total_data;">
                  <div (click)="getGraphData(sub_data)" class="mb-3 daily-data-tab"
                    [ngClass]="selected_sub_total.name == sub_data.name?'active':''">
                    <div class="card-body py-3 pl-3 pr-0">
                      <div class="align-items-center">
                        <div class="f-16 fw-700">{{sub_data.value}}</div>
                        <div class="f-14 gray text-muted">{{sub_data.display_name}}</div>
                      </div>
                    </div>
                  </div>
                  
                </ng-container>
                <!-- <div  class="card mb-3">
                         <div  class="card-body p-3" >
                           <div  class="align-items-center">
                                 <div  class="f-16 fw-700">$38,237</div>
                               <div  class="f-14 gray text-muted">Catering</div>
                           
                           </div>
                         </div>
                       </div> -->
                <div style="height:75px"></div>
              </div>
              <div *ngIf="scroll_config.scroll_start"
                style="position: absolute;bottom: 15px;height: 75px;right: 20px;width: 15%;background: linear-gradient(#ffffff00,#ffffff);"
                >
                <div style="position: absolute;bottom: 0;opacity: 0.6;" class="text-center align-items-center w-100"><i
                    class="ion ion-ios-arrow-down f-16"></i></div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- right side -->
    <div class="col-md-3" *ngIf="show_insights">
      <div class="d-flex justify-content-end align-items-center" style="height: 89.39px;">
        <div class="py-1 px-2 mx-1 group-label" placement="top" ngbTooltip="Select a date range">
          <label class="mb-0 label-style pl-0 text-left">From Date </label>
          <div class="input-group ngx-data-ui">
            <input class="form-control p-0 bg-transparent text_default input-box-style border-0" ngx-mydatepicker
              name="dpfromdate" #dpfromdate="ngx-mydatepicker" [options]="{dateFormat: 'mm-dd-yyyy', selectorHeight:'272px', selectorWidth:'272px',
                     alignSelectorRight:true, disableSince:todate.date}"
              (calendarToggle)="selected_filter.fromdate=!selected_filter.fromdate" [(ngModel)]="fromdate"
              (click)="dpfromdate.toggleCalendar()" (dateChanged)="formDateChanged($event, 'fromdate')"
              placeholder="choose a date" style="min-height:20px !important;max-height:20px !important;cursor: pointer">
            <span style="cursor: pointer" (click)="dpfromdate.toggleCalendar()"><i
                class="fa-lg las la-calendar pt-1"></i></span>
            <ng-container *ngIf="selected_filter.fromdate && date_filters.length>0">
              <div style="position: absolute;" class="home-calender">
                <div class="cust_calendar_items left dashboard-fdate p-0" style="right: 366px; top: 32px;"
                  [perfectScrollbar]>
                  <div>
                    <ngb-tabset class="nav-tabs-top" [activeId]="selected_filter.values"
                      (click)="$event.stopPropagation()"
                      [ngClass]="{'hide-tab-header': date_filters[1].range.length == 0}">
                      <ngb-tab *ngFor="let datefilter of date_filters;" class="form-label label-material"
                        [title]="datefilter.display" id="{{datefilter.values}}">
                        <ng-template ngbTabContent style="border: none !important;">
                          <div *ngFor="let option of datefilter.range; let i = index">
                            <button class="btn btn-round btn-outline-primary w-100 mb-1"
                              (click)="applyDaysFilter(option, i);dpfromdate.closeCalendar();dptodate.closeCalendar();"
                              [ngClass]="{'active': selected_filter.range == datefilter.values+i}">{{option.display}}</button>
                          </div>
                        </ng-template>
                      </ngb-tab>
                    </ngb-tabset>
                  </div>
                </div>
              </div>
            </ng-container>
          </div>
        </div>
        <div class="py-1 px-2 mx-1 group-label" placement="top" ngbTooltip="Select a date range">
          <label class="mb-0 label-style pl-0 text-left">To Date </label>
          <div class="input-group ngx-data-ui">
            <input class="form-control p-0 bg-transparent text_default input-box-style border-0" ngx-mydatepicker
              name="dptodate" #dptodate="ngx-mydatepicker"
              [options]="{dateFormat: 'mm-dd-yyyy', selectorHeight:'272px', selectorWidth:'272px', alignSelectorRight:true, disableUntil:fromdate.date}"
              (calendarToggle)="selected_filter.todate=!selected_filter.todate" [(ngModel)]="todate"
              (click)="dptodate.toggleCalendar()" (dateChanged)="formDateChanged($event, 'todate')"
              placeholder="choose a date" style="min-height:20px !important;max-height:20px !important;cursor: pointer">
            <span style="cursor: pointer" (click)="dptodate.toggleCalendar()"><i class="fa-lg las la-calendar pt-1">
              </i></span>
            <ng-container *ngIf="selected_filter.todate && date_filters.length>0">
              <div style="position: absolute;" class="home-calender">
                <div class="cust_calendar_items left dashboard-fdate p-0" style="right: 366px; top: 32px;"
                  [perfectScrollbar]>
                  <div>
                    <ngb-tabset class="nav-tabs-top" [activeId]="selected_filter.values"
                      (click)="$event.stopPropagation()"
                      [ngClass]="{'hide-tab-header': date_filters[1].range.length == 0}">
                      <ngb-tab *ngFor="let datefilter of date_filters;" class="form-label label-material"
                        [title]="datefilter.display" id="{{datefilter.values}}">
                        <ng-template ngbTabContent style="border: none !important;">
                          <div *ngFor="let option of datefilter.range; let i = index">
                            <button class="btn btn-round btn-outline-primary w-100 mb-1"
                              (click)="applyDaysFilter(option, i);dpfromdate.closeCalendar();dptodate.closeCalendar();"
                              [ngClass]="{'active': selected_filter.range == datefilter.values+i}">{{option.display}}</button>
                          </div>
                        </ng-template>
                      </ngb-tab>
                    </ngb-tabset>
                  </div>
                </div>
              </div>
            </ng-container>
          </div>
        </div>

      </div>
      <div class="card mb-3 border-radius-10 insights-tab-links bookmark-card-shadow" style="min-height: 659.6px;">
        <ul class="list-group list-group-flush">
          <li class="list-group-item p-4  f-14">
            <div class="list-top-items pr-4">
              <span class="green fw-700">20% increase the Average Check Counts </span>
              <span class="font-weight-normal">happen on </span><span class="fw-700">all Stores in California</span>
            </div>
            <div class="bottom-items pt-3">
              <div class="fw-700 f-22 float-left">20.03% <span>
                  <i class="fas fa-caret-up green "></i></span>
                <div class="text-muted f-14 fw-400">Average Check Counts
                </div>
              </div>
              <div class="float-right text-center pt-2 display-grid"> <i
                  class="{{salesIcon + ' f-30 cursor salesIconColor'}}"></i>
                <span class="mt-2 rounded" style="width: 40px;border: 4px solid #F68E76;"></span>
              </div>
            </div>
          </li>

          <li class="list-group-item p-4  f-14">
            <div class="list-top-items pr-4">
              <span class="green fw-700"> $20,548 Daily Total Net Sales increase </span>
              <span class="font-weight-normal">happen on product </span><span class="fw-700">Buffalo Bomber.</span>
            </div>
            <div class="bottom-items pt-3">
              <div class="fw-700 f-22 float-left">$20,548 <span>
                  <i class="fas fa-caret-up green "></i></span>
                <div class="text-muted f-14 fw-400"> Total Net Sales
                </div>
              </div>
              <div class="float-right text-center pt-2 display-grid"> <i
                  class="{{productIcon + ' f-30 cursor productIconColor'}}"></i>
                <span class="mt-2 rounded" style="width: 40px;border: 4px solid #6CC9A8;"></span>
              </div>
            </div>
          </li>

          <li class="list-group-item p-4  f-14">
            <div class="list-top-items pr-4">
              <span class="red fw-700"> $32,548 Total Net Sales increase </span><span class="font-weight-normal">happen
                on </span>
              <span class="fw-700">all Stores in California</span></div>
            <div class="bottom-items pt-3">
              <div class="fw-700 f-22 float-left">$32,458 <span>
                  <i class="fas fa-caret-down red "></i></span>
                <div class="text-muted f-14 fw-400">Total Net Sales
                </div>
              </div>
              <div class="float-right text-center pt-2 display-grid"> <i
                  class="{{promotionIcon + ' f-30 cursor promotionsIconColor'}}"></i>
                <span class="mt-2 rounded" style=" width: 40px;border: 4px solid #DFC94F;"></span>
              </div>
            </div>
          </li>
          <li class="list-group-item p-4  f-14">
            <div class="list-top-items pr-4">
              <span class="green fw-700">$4,253in Total Labor Savings </span>
              <span class="font-weight-normal">happen on </span><span class="fw-700">all Stores in California</span>
            </div>
            <div class="bottom-items pt-3">
              <div class="fw-700 f-22 float-left">$4,253 <span>
                  <i class="fas fa-caret-up green "></i></span>
                <div class="text-muted f-14 fw-400">Labor Savings
                </div>
              </div>
              <div class="float-right text-center pt-2 display-grid"> <i
                  class="{{customerIcon +  ' f-30 cursor customerIconColor'}}" style="color:#EB888C;"></i>
                <span class="mt-2 rounded" style=" width: 40px;border: 4px solid #EB888C;"></span>
              </div>
            </div>
          </li>
        </ul>
      </div>

    </div>
  </div>

  <div class="row row mb-4 mt-2" *ngIf="show_insights">
    <div class="col-md-3 pr-5"></div>
    <div class="col-md-9 pl-0 d-flex">
      <div class="f-26 WSF font-weight-normal text-muted ml-5 mr-2">Give me insights to </div>

      <div ngbDropdown [placement]="isRTL ? 'bottom-left' : 'bottom-left'" >
        <button ngbDropdownToggle
          class="btn btn-sm   borderless md-btn-flat hide-arrow custom-text-hover font-weight-normal WSF hover f-26 text-gray55 v-middle m-0 p-0"
          style="letter-spacing: -0.8px;">Reduce Waste
          <i class="las la-angle-down f-10 white linear-background  rounded-circle filter-down-arrow"></i> </button>
        <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="mt-0  dropdownchild "
          style="box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.08) !important;height:175px;min-width: 300px !important; border: 1px solid #E9E9E9;box-sizing: border-box;border-radius: 8px;overflow:hidden;overflow-y: auto;"
          [perfectScrollbar]>
          <a class="dropdown-item px-2" href="javascript:void(0)"><span
              class="ml-2 f-18 font-weight-normal text-gray55">Across my business</span></a>
          <a class="dropdown-item px-2" href="javascript:void(0)"><span
              class="ml-2 f-18 font-weight-normal text-gray55">Grow revenue</span></a>
          <a class="dropdown-item px-2" href="javascript:void(0)"><span
              class="ml-2 f-18 font-weight-normal text-gray55">Drive profitability</span></a>
          <a class="dropdown-item px-2" href="javascript:void(0)"><span
              class="ml-2 f-18 font-weight-normal text-gray55">Reduce losses</span></a>
        </div>
      </div>

      <!-- More -->
    </div>
  </div>

  <div class="row" *ngIf="show_insights">
    <div class="col-md-3 pr-5" *ngIf="insightsData" style="top:-49px !important;">
      <div class="card mb-5 mt-5 cursor less_opacity border-radius-10"
        *ngFor="let insightData of insightsData.hsresult;let i = index" (click)="getSubData(insightData, i)"
        [ngClass]="(activeBottomItem == i || activeBottomItem == -1) ?'btmActive':''"
        style="margin-bottom: 3.885rem !important; margin-top: 4.10em !important;">
        <div class="ml-2 mr-2 align-items-center" style="position: absolute;top:-40px;">
          <i class="{{insightData.icon + ' f-25 text-center white '+insightData.class_name+'-gradient'}}"
            style="border-radius:10px;padding:10px;height:48px;width:48px;"></i>
          <span class="fw-500 WSF f-20 text-muted pl-3 position-relative"
            style="top: -5px;">{{insightData.display_name}}</span>
        </div>
        <div class="card-body d-flex justify-content-between align-items-center bookmark-card-shadow" placement="bottom"
          ngbTooltip="See only this type or click again to See All">
          <div>
            <div class="text-muted f-14">{{insightData.chart_data.name}}<span
                class="green pl-3">{{insightData.chart_data.percentage}} <i class="fas fa-caret-up green "></i></span>
            </div>
            <div class="f-22 WSF fw-500 grey5 pt-1">{{insightData.chart_data.value}}</div>

          </div>
          <!-- <div class="w-40" style="height:35px;">
            <canvas basechart="" height="35" width="164" style="display: block; width: 164px; height: 35px;">
            </canvas>
          </div> -->
        </div>
      </div>
      <br>
    </div>
    <div class="col-md-9 pl-0" style="border-left: 1px solid #8080805c;">
      <div class="text-center" *ngIf="!inSightCardData">
        <span>
          Loading....
        </span>

      </div>
      <div class="row pl-5" *ngIf="insightsData">
        <div class="col-md-4">
          <div class=" card mb-3 border-radius-10 insights-tab-links bookmark-card-shadow" style="min-height: 180px;">
            <ul class="list-group list-group-flush">
              <li class="list-group-item p-4  f-14">
                <div class="bottom-items d-flex align-items-center mb-3" style="margin-bottom: 1.5rem !important;">
                  <div class="w-65 f-22 fw-600 text-gray55 "> Analysis </div>
                  <div class="w-50 d-flex"> <i class="{{salesIcon + ' pr-2 f-25 v-middle salesIconColor'}}"></i><span
                      class="text-hover f-14 fw-500" style="white-space: nowrap;">Sales</span> <span>
                      <i class="fas fa-caret-right pl-2 text-gray99"></i></span>
                  </div>
                </div>
                <div class="bottom-items d-flex align-items-center mb-3" style="margin-bottom: 1.5rem !important;">
                  <div class="w-65 d-flex"><i class="{{productIcon + ' pr-2 f-25 v-middle productIconColor'}}"></i><span
                      class="text-hover f-14 fw-500" style="white-space: nowrap;">Product</span> <span>
                      <i class="fas fa-caret-right pl-2 text-gray99"></i></span>
                  </div>
                  <div class="w-50 d-flex"><i class="{{channelIcon + ' pr-2 f-25 v-middle channelIconColor'}}"></i><span
                      class="text-hover f-14 fw-500" style="white-space: nowrap;">Channel</span> <span>
                      <i class="fas fa-caret-right pl-2 text-gray99"></i></span>
                  </div>
                </div>
                <div class="bottom-items d-flex">
                  <div class="w-65 d-flex"> <i
                      class="{{promotionIcon + ' pr-2 f-25 v-middle promotionIconColor'}}"></i><span
                      class="text-hover f-14 fw-500" style="white-space: nowrap;">Promotion</span> <span>
                      <i class="fas fa-caret-right pl-2 text-gray99"></i></span>
                  </div>
                  <div class="w-50 d-flex"> <i
                      class="{{customerIcon + ' pr-2 f-25 v-middle customerIconColor'}}"></i><span
                      class="text-hover f-14 fw-500" style="white-space: nowrap;">Customer</span><span>
                      <i class="fas fa-caret-right pl-2 text-gray99"></i></span>
                  </div>
                </div>
              </li>
            </ul>
          </div>
        </div>
        <div class="col-md-4" *ngFor="let inSightsSingleData of inSightCardData; let i=index">
          <div class=" card mb-4 border-radius-10 insights-tab-links bookmark-card-shadow card-link "
            style="min-height: 180px;">
            <ul class="list-group list-group-flush">
              <li class="list-group-item p-4  f-14">
                <div class="list-top-items " style="height: 80px;overflow:hidden;">
                  <span class="green fw-700">{{inSightsSingleData.display_name}}
                  </span>
                  <span class="ml-1 font-weight-normal">{{ inSightsSingleData.hsdata.comment}}</span>
                </div>
                <div class="bottom-items ">
                  <div class="WSF fw600 f-22 float-left">{{inSightsSingleData.hsdata.value}}<span
                      class="ml-2 f-14 green font-weight-normal">{{inSightsSingleData.hsdata.percentage}}%
                      <i class="fas fa-caret-up green "></i></span>
                    <div class="text-muted f-12 font-weight-normal">{{inSightsSingleData.measure}}
                    </div>
                  </div>
                  <div class="float-right text-center display-grid position-relative" style="bottom: -6px;"
                    [ngClass]="inSightsSingleData.class_name+'IconColor'"> <i
                      class="{{inSightsSingleData.icon + ' f-30 cursor'}}"></i>
                    <span class="mt-2 rounded" style="width: 30px;"></span>
                  </div>
                </div>
              </li>
            </ul>
          </div>
        </div>

        <div class="col-md-4" *ngIf="isSeeMore">
          <div class=" card mb-3 border-radius-10 insights-tab-links bookmark-card-shadow"
            style="background-color: #E9E9E9;min-height: 180px;">
            <ul class="list-group list-group-flush">
              <li class="list-group-item  f-14 text-center" style="padding: 70px;">
                <span class="font-weight-normal f-22 text-muted cursor">See 9 more</span>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<ng-template #elementBlockTemplate>
  <custom-loader [loaderArr]="loaderArr" *ngIf="loaderArr && loaderArr.length>0"></custom-loader>
  <div class="block-ui-template" *ngIf="!(loaderArr.length>0)">
    <div class="app-splash-screen ">
      <div class="new-app-splash-screen-content text-center">
        <img src="../../../assets/img/hx-loader-logo.svg" class="loader-svg">
      </div>
    </div>
    <span class="loading-text-material">
      <!-- <p class="text-center text-white"> {{loadingText}} </p> -->
    </span>
  </div>
</ng-template>